Bug 182788 - [maintainer-update][patch] net/tcpproxy needs gcc
Summary: [maintainer-update][patch] net/tcpproxy needs gcc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-07 13:10 UTC by alex
Modified: 2013-10-07 19:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alex 2013-10-07 13:10:00 UTC
net/tcpproxy won't compile with clang, therefore I added USE_GCC to the Makefile.

Fix: 

PORTNAME=      tcpproxy
 PORTVERSION=   1.0
-PORTREVISION=  1
+PORTREVISION=  2
 CATEGORIES=    net
 MASTER_SITES=  http://www.spreadspace.org/tcpproxy/releases/ \
                http://alex.bmg.gv.at/programs/
@@ -13,6 +13,7 @@

 BUILD_DEPENDS= ragel:${PORTSDIR}/devel/ragel

+USE_GCC=       yes
 USE_GMAKE=     yes
 HAS_CONFIGURE= yes--BciHOB5DsgRMr6p8Kokos61jh4IZpmo0eHrUiD5N9CdWsmGw
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ur tcpproxy.orig/Makefile tcpproxy/Makefile
--- tcpproxy.orig/Makefile      2013-09-21 00:10:23.000000000 +0200
+++ tcpproxy/Makefile   2013-10-07 15:10:05.000000000 +0200
@@ -3,7 +3,7 @@
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-10-07 15:37:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-10-07 19:44:42 UTC
Author: danilo
Date: Mon Oct  7 18:44:30 2013
New Revision: 329723
URL: http://svnweb.freebsd.org/changeset/ports/329723

Log:
  - Update from 1.0 to 1.1 [1]
  - Remove the indefinite article from COMMENT
  - Convert USE_GMAKE to USES
  - Add stage support
  
  PR:		ports/182788
  Submitted by:	Alexander Hausner <alex@hugo.bmg.gv.at> (maintainer) [1]
  Approved by:	wg/culot (mentors, implicit)

Modified:
  head/net/tcpproxy/Makefile
  head/net/tcpproxy/distinfo
  head/net/tcpproxy/files/patch-configure

Modified: head/net/tcpproxy/Makefile
==============================================================================
--- head/net/tcpproxy/Makefile	Mon Oct  7 18:28:48 2013	(r329722)
+++ head/net/tcpproxy/Makefile	Mon Oct  7 18:44:30 2013	(r329723)
@@ -2,35 +2,32 @@
 # $FreeBSD$
 
 PORTNAME=	tcpproxy
-PORTVERSION=	1.0
-PORTREVISION=	1
+PORTVERSION=	1.1
 CATEGORIES=	net
 MASTER_SITES=	http://www.spreadspace.org/tcpproxy/releases/ \
 		http://alex.bmg.gv.at/programs/
 
 MAINTAINER=	alex@hugo.bmg.gv.at
-COMMENT=	A simple TCP connection proxy for IPv4 and IPv6
+COMMENT=	Simple TCP connection proxy for IPv4 and IPv6
 
 BUILD_DEPENDS=	ragel:${PORTSDIR}/devel/ragel
 
-USE_GMAKE=	yes
+USES=		gmake
 HAS_CONFIGURE=	yes
 
 USERS=	_tcpproxy
 GROUPS=	_tcpproxy
 
-MAN8=	tcpproxy.8
-
 USE_RC_SUBR=	tcpproxy
 
 WRKSRC=	${WRKDIR}/${PORTNAME}-${PORTVERSION}/src
 
-PLIST_FILES=	bin/tcpproxy etc/tcpproxy_sample.conf
+PLIST_FILES=	bin/tcpproxy etc/tcpproxy_sample.conf \
+		man/man8/tcpproxy.8.gz
 
-NO_STAGE=	yes
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/tcpproxy ${PREFIX}/bin
-	${INSTALL_DATA}  ${WRKDIR}/${PORTNAME}-${PORTVERSION}/contrib/example.conf ${PREFIX}/etc/tcpproxy_sample.conf
-	${INSTALL_MAN} ${WRKDIR}/${PORTNAME}-${PORTVERSION}/doc/${MAN8} ${PREFIX}/man/man8
+	${INSTALL_PROGRAM} ${WRKSRC}/tcpproxy ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_DATA}  ${WRKDIR}/${PORTNAME}-${PORTVERSION}/contrib/example.conf ${STAGEDIR}${PREFIX}/etc/tcpproxy_sample.conf
+	${INSTALL_MAN} ${WRKDIR}/${PORTNAME}-${PORTVERSION}/doc/tcpproxy.8 ${STAGEDIR}${PREFIX}/man/man8
 
 .include <bsd.port.mk>

Modified: head/net/tcpproxy/distinfo
==============================================================================
--- head/net/tcpproxy/distinfo	Mon Oct  7 18:28:48 2013	(r329722)
+++ head/net/tcpproxy/distinfo	Mon Oct  7 18:44:30 2013	(r329723)
@@ -1,2 +1,2 @@
-SHA256 (tcpproxy-1.0.tar.gz) = 8d21bca2849b87b05566549859666a8bde0e21ed1a304390a71a12929e937f70
-SIZE (tcpproxy-1.0.tar.gz) = 35946
+SHA256 (tcpproxy-1.1.tar.gz) = dda436a6ea260e6bf6655688f8f8da34cde6751d4fa720732766868b90858f1d
+SIZE (tcpproxy-1.1.tar.gz) = 36513

Modified: head/net/tcpproxy/files/patch-configure
==============================================================================
--- head/net/tcpproxy/files/patch-configure	Mon Oct  7 18:28:48 2013	(r329722)
+++ head/net/tcpproxy/files/patch-configure	Mon Oct  7 18:44:30 2013	(r329723)
@@ -1,13 +1,27 @@
---- configure.org	2011-05-04 20:30:40.000000000 +0200
-+++ configure	2011-05-04 20:31:06.000000000 +0200
-@@ -29,8 +29,8 @@
- TARGET=`uname -s`
- EBUILD_COMPAT=0
+--- configure.orig	2013-10-07 13:59:48.000000000 +0200
++++ configure		2013-10-07 16:30:19.000000000 +0200
+@@ -105,12 +105,12 @@
+ fi
  
--CFLAGS='-g -O2'
--LDFLAGS='-g -Wall -O2'
-+CFLAGS="${CFLAGS} -g -O2"
-+LDFLAGS="${LDFLAGS} -g -Wall -O2"
+ if [ $USE_CLANG -eq 0 ]; then
+-  CFLAGS='-g -Wall -O2'
+-  LDFLAGS='-g -Wall -O2'
++  CFLAGS='${CFLAGS} -g -Wall -O2'
++  LDFLAGS='${LDFLAGS} -g -Wall -O2'
+   COMPILER='gcc'
+ else
+-  CFLAGS='-g -O2'
+-  LDFLAGS='-g -O2'
++  CFLAGS='${CFLAGS} -g -O2'
++  LDFLAGS='${LDFLAGS} -g -O2'
+   COMPILER='clang'
+ fi
  
- PREFIX='/usr/local'
- BINDIR=''
+@@ -151,7 +151,6 @@
+ # use ./configure instead
+ 
+ TARGET := $TARGET
+-CC := $COMPILER
+ CFLAGS := $CFLAGS
+ LDFLAGS := $LDFLAGS
+ STRIP := strip
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Danilo Egea Gondolfo freebsd_committer 2013-10-07 19:44:47 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!